#
# Makefile  -  makefile for MGL test programs
#
# Copyright (C) 1997-2007 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.12 2007/01/06 18:31:38 gkminix Exp $
#

MKNBI	= ../mknbi
MENUSRC	= menu.mgl
TESTSRC	= test1.mgl test2.mgl test3.mgl test4.mgl test5.mgl test6.mgl
TESTOUT	= $(TESTSRC:%.mgl=%.disass)


.SUFFIXES:	.mgl .out .exe .nbi .pxe .disass

.mgl.out:
	$(MKNBI) -t plain $< $@

.mgl.exe:
	$(MKNBI) -t dos $< $@

.mgl.nbi:
	$(MKNBI) -t netboot $< $@

.mgl.pxe:
	$(MKNBI) -t pxe $< $@

.mgl.disass:
	MKNBI="$(MKNBI)" ./makedisass $<


# Make all binary test files
.PHONY:		all

all:		$(TESTOUT)


# Nothing to install
.PHONY:		install distrib

install distrib:


# Cleanup
.PHONY:		clean distclean realclean dep

clean:
		rm -f *.out *.exe *.nbi *.pxe *.disass core


distclean:	clean


realclean:	clean


dep:


